Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class DurableSubscriptionID

    java.lang.Object
      org.jboss.mq.DurableSubscriptionID

All Implemented Interfaces:
  Serializable

public class DurableSubscriptionID
extends Object
implements Serializable

Version:
  $Revision: 1.7 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`DurableSubscriptionID(String id, String subName, String selector)` Create a new DurableSubscriptionID

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getClientID()` Get the client id
`String` | `getSelector()` Gets the selector.
`String` | `getSubscriptionName()` Get the subscription name
`int` | `hashCode()`
`void` | `setClientID(String newClientID)` Set the client id
`void` | `setSelector(String selector)` Sets the selector.
`void` | `setSubscriptionName(String newSubscriptionName)` Set the subscription name
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DurableSubscriptionID

    public DurableSubscriptionID(String id,
                                 String subName,
                                 String selector)

  Create a new DurableSubscriptionID

Parameters:
  `id` - the client id
  `subName` - the subscription name
  `selector` - the selector

Method Detail

### setClientID

    public void setClientID(String newClientID)

  Set the client id

  Parameters:
    `newClientID` - the client id

### setSubscriptionName

    public void setSubscriptionName(String newSubscriptionName)

  Set the subscription name

  Parameters:
    `newSubscriptionName` - the subscription name

### getClientID

    public String getClientID()

  Get the client id

  Returns:
    the client id

### getSubscriptionName

    public String getSubscriptionName()

  Get the subscription name

  Returns:
    the subscription name

### getSelector

    public String getSelector()

  Gets the selector.

  Returns:
    the selector

### setSelector

    public void setSelector(String selector)

  Sets the selector.

  Parameters:
    `selector` - The selector to set

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.